"use strict";

exports.__esModule = true;
exports.CBadge = void 0;

var _vue = require("vue");

var _vueSystem = require("@chakra-ui/vue-system");

var _utils = require("@chakra-ui/utils");

var _vueUtils = require("@chakra-ui/vue-utils");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * Vue component used to display notifications, messages, or
 * statuses in different shapes and sizes.
 *
 * @see Docs https://vue.chakra-ui.com/docs/data-display/badge
 */
var CBadge = (0, _vue.defineComponent)({
  props: _extends({
    as: {
      type: [Object, String],
      "default": 'div'
    }
  }, _vueUtils.vueThemingProps),
  setup: function setup(props, _ref) {
    var slots = _ref.slots,
        attrs = _ref.attrs;
    var themingProps = (0, _vue.computed)(function () {
      return (0, _utils.filterUndefined)({
        colorScheme: props.colorScheme,
        variant: props.variant,
        size: props.size,
        styleConfig: props.styleConfig
      });
    });
    var styles = (0, _vueSystem.useStyleConfig)('Badge', themingProps.value);
    return function () {
      return (0, _vue.h)((0, _vueSystem.chakra)(props.as, {
        label: 'badge'
      }), _extends({
        __css: _extends({
          display: 'inline-block',
          whiteSpace: 'nowrap',
          verticalAlign: 'middle'
        }, styles.value)
      }, attrs), slots);
    };
  }
});
exports.CBadge = CBadge;
//# sourceMappingURL=badge.js.map