"use strict";

exports.__esModule = true;
exports.CCircle = exports.CSquare = exports.CBox = void 0;

var _vueSystem = require("@chakra-ui/vue-system");

var _runtimeCore = require("@vue/runtime-core");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * Box is the most abstract component on top of which other chakra
 * components are built. It renders a `div` element by default.
 *
 * @see Docs https://vue.chakra-ui.com/docs/layout/box
 */
var CBox = (0, _runtimeCore.defineComponent)({
  props: {
    as: {
      type: [String, Object],
      "default": 'div'
    }
  },
  setup: function setup(props, _ref) {
    var slots = _ref.slots,
        attrs = _ref.attrs;
    return function () {
      return (0, _runtimeCore.h)((0, _vueSystem.chakra)(props.as, _extends({
        label: 'box'
      }, attrs)), {}, slots);
    };
  }
});
/**
 * As a constraint, you can't pass size related props
 * Only `size` would be allowed
 */

exports.CBox = CBox;
var CSquare = (0, _runtimeCore.defineComponent)({
  props: {
    size: [Object, String, Number],
    centerContent: {
      type: [Boolean],
      "default": true
    }
  },
  setup: function setup(props, _ref2) {
    var slots = _ref2.slots,
        attrs = _ref2.attrs;
    var styles = (0, _runtimeCore.computed)(function () {
      return props.centerContent ? {
        display: 'flex',
        alignItems: 'center',
        justifyContent: 'center'
      } : {};
    });
    return function () {
      return (0, _runtimeCore.h)(CBox, _extends({
        label: 'square',
        boxSize: props.size,
        __css: _extends({}, styles.value, {
          flexShrink: 0,
          flexGrow: 0
        })
      }, attrs), slots);
    };
  }
});
exports.CSquare = CSquare;
var CCircle = (0, _runtimeCore.defineComponent)({
  setup: function setup(_, _ref3) {
    var slots = _ref3.slots,
        attrs = _ref3.attrs;
    return function () {
      return (0, _runtimeCore.h)(CSquare, _extends({
        label: 'circle',
        borderRadius: '9999px'
      }, attrs), slots);
    };
  }
});
exports.CCircle = CCircle;
//# sourceMappingURL=box.js.map