"use strict";

exports.__esModule = true;
exports.CCenter = void 0;

var _vueSystem = require("@chakra-ui/vue-system");

var _runtimeCore = require("@vue/runtime-core");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * Vue component used to horizontally and vertically center its child.
 * It uses the popular `display: flex` centering technique.
 *
 * @see Docs https://vue.chakra-ui.com/docs/layout/center
 */
var CCenter = (0, _runtimeCore.defineComponent)({
  props: {
    as: {
      type: [String, Object],
      "default": 'div'
    }
  },
  setup: function setup(props, _ref) {
    var slots = _ref.slots,
        attrs = _ref.attrs;
    return function () {
      return (0, _runtimeCore.h)((0, _vueSystem.chakra)(props.as, {
        label: 'center',
        __css: {
          display: 'flex',
          alignItems: 'center',
          justifyContent: 'center'
        }
      }), _extends({}, attrs), slots);
    };
  }
});
exports.CCenter = CCenter;
//# sourceMappingURL=center.js.map