"use strict";

exports.__esModule = true;
exports.CKbd = void 0;

var _vueUtils = require("@chakra-ui/vue-utils");

var _vueSystem = require("@chakra-ui/vue-system");

var _runtimeCore = require("@vue/runtime-core");

var _utils = require("@chakra-ui/utils");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * Semantic component to render a keyboard shortcut
 * within an application.
 *
 * @example
 *
 * ```jsx
 * <Kbd>⌘ + T</Kbd>
 * ```
 *
 * @see Docs https://chakra-ui.com/docs/data-display/kbd
 */
var CKbd = (0, _runtimeCore.defineComponent)({
  props: _extends({}, _vueUtils.vueThemingProps),
  setup: function setup(props, _ref) {
    var slots = _ref.slots,
        attrs = _ref.attrs;
    var themingProps = (0, _runtimeCore.computed)(function () {
      return (0, _utils.filterUndefined)({
        colorScheme: props.colorScheme,
        variant: props.variant,
        size: props.size,
        styleConfig: props.styleConfig
      });
    });
    var styles = (0, _vueSystem.useStyleConfig)('Kbd', themingProps.value);
    return function () {
      return (0, _runtimeCore.h)((0, _vueSystem.chakra)('kbd', _extends({
        label: 'kbd'
      }, attrs, {
        __css: _extends({
          fontFamily: 'mono'
        }, styles.value)
      })), {}, slots);
    };
  }
});
exports.CKbd = CKbd;
//# sourceMappingURL=kbd.js.map