function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { mapResponsive } from '@chakra-ui/utils';
import { chakra } from '@chakra-ui/vue-system';
import { defineComponent, h } from '@vue/runtime-core';

/**
 * Vue component used to cropping media (videos, images and maps)
 * to a desired aspect ratio.
 *
 * @see Docs https://vue.chakra-ui.com/docs/layout/aspect-ratio
 */
export var CAspectRatio = defineComponent({
  props: {
    ratio: {
      type: [Number],
      default: 4 / 3
    }
  },

  setup(props, _ref) {
    var {
      slots,
      attrs
    } = _ref;
    return () => {
      return h(chakra('div', {
        label: 'aspect-ratio',
        position: 'relative',
        _before: {
          height: 0,
          content: "\"\"",
          display: 'block',
          paddingBottom: mapResponsive(props.ratio, r => 1 / r * 100 + "%")
        },
        __css: {
          '& > *:not(style)': {
            overflow: 'hidden',
            position: 'absolute',
            top: '0',
            right: '0',
            bottom: '0',
            left: '0',
            display: 'flex',
            justifyContent: 'center',
            alignItems: 'center',
            width: '100%',
            height: '100%'
          },
          '& > img, & > video': {
            objectFit: 'cover'
          }
        }
      }), _extends({}, attrs), slots);
    };
  }

});
//# sourceMappingURL=aspect-ratio.js.map