function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { chakra } from '@chakra-ui/vue-system';
import { defineComponent, h } from '@vue/runtime-core';
/**
 * Vue component used to horizontally and vertically center its child.
 * It uses the popular `display: flex` centering technique.
 *
 * @see Docs https://vue.chakra-ui.com/docs/layout/center
 */

export var CCenter = defineComponent({
  props: {
    as: {
      type: [String, Object],
      default: 'div'
    }
  },

  setup(props, _ref) {
    var {
      slots,
      attrs
    } = _ref;
    return () => {
      return h(chakra(props.as, {
        label: 'center',
        __css: {
          display: 'flex',
          alignItems: 'center',
          justifyContent: 'center'
        }
      }), _extends({}, attrs), slots);
    };
  }

});
//# sourceMappingURL=center.js.map