function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { vueThemingProps } from '@chakra-ui/vue-utils';
import { chakra, useStyleConfig } from '@chakra-ui/vue-system';
import { computed, defineComponent, h } from '@vue/runtime-core';
import { filterUndefined } from '@chakra-ui/utils';
export var CHeading = defineComponent({
  props: _extends({
    as: {
      type: [String, Object],
      default: 'h2'
    }
  }, vueThemingProps),

  setup(props, _ref) {
    var {
      slots,
      attrs
    } = _ref;
    var themingProps = computed(() => filterUndefined({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    var styles = useStyleConfig('Heading', themingProps.value);
    return () => {
      return h(chakra(props.as, {
        label: 'heading'
      }), _extends({}, attrs, {
        __css: styles.value
      }), slots);
    };
  }

});
//# sourceMappingURL=heading.js.map