function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { CIcon } from '@chakra-ui/c-icon';
import { useMultiStyleConfig, useStyles, StylesProvider } from '@chakra-ui/vue-system';
import { h, defineComponent, computed } from 'vue';
import { chakra } from '@chakra-ui/vue-system';
import { getValidChildren, SNAO, SAO } from '@chakra-ui/vue-utils';

/**
 * List is used to display list items, it renders a `<ul>` by default.
 *
 * @see Docs https://vue.chakra-ui.com/docs/data-display/list
 */
export var CList = defineComponent({
  props: {
    as: {
      type: [Object, String],
      default: 'ul'
    },
    styleType: {
      type: SAO,
      default: 'none'
    },
    stylePosition: SAO,
    spacing: SNAO
  },

  setup(props, _ref) {
    var {
      slots,
      attrs
    } = _ref;
    var styles = useMultiStyleConfig('List', props);
    StylesProvider(styles);
    var selector = '& > *:not(style) ~ *:not(style)';
    var spacingStyle = computed(() => props.spacing ? {
      [selector]: {
        mt: props.spacing
      }
    } : {});
    return () => {
      var validChildren = getValidChildren(slots);
      return h(chakra(props.as, _extends({
        label: 'list',
        listStyleType: props.styleType,
        listStylePosition: props.stylePosition,
        role: 'list',
        __css: _extends({}, styles.value.container, spacingStyle.value)
      }, attrs)), {}, () => validChildren);
    };
  }

});
export var COrderedList = defineComponent({
  props: {},

  setup(props, _ref2) {
    var {
      slots,
      attrs
    } = _ref2;
    return () => {
      return h(CList, _extends({
        styleType: 'decimal',
        marginStart: '1em'
      }, attrs), slots);
    };
  }

});
export var CUnorderedList = defineComponent({
  props: {},

  setup(props, _ref3) {
    var {
      slots,
      attrs
    } = _ref3;
    return () => {
      return h(CList, _extends({
        styleType: 'initial',
        marginStart: '1em'
      }, attrs), slots);
    };
  }

});
export var CListItem = defineComponent({
  props: {},

  setup(props, _ref4) {
    var {
      slots,
      attrs
    } = _ref4;
    var styles = useStyles();
    return () => {
      return h(chakra('li', {
        label: 'list__item',
        __css: _extends({}, styles.value.item)
      }), _extends({}, attrs), slots);
    };
  }

});
export var CListIcon = defineComponent({
  props: {},

  setup(props, _ref5) {
    var {
      slots,
      attrs
    } = _ref5;
    var styles = useStyles();
    return () => {
      return h(CIcon, _extends({
        role: 'presentation'
      }, attrs, {
        __css: _extends({}, styles.value.icon)
      }), slots);
    };
  }

});
//# sourceMappingURL=list.js.map