import { HTMLChakraProps, ResponsiveValue } from '@chakra-ui/vue-system';
import { DefineComponent, PropType } from '@vue/runtime-core';
interface AspectRatioOptions {
    /**
     * The aspect ratio of the Box. Common values are:
     *
     * `21/9`, `16/9`, `9/16`, `4/3`, `1.85/1`
     */
    ratio?: ResponsiveValue<number>;
}
export interface AspectRatioProps extends HTMLChakraProps<'div'>, AspectRatioOptions {
}
/**
 * Vue component used to cropping media (videos, images and maps)
 * to a desired aspect ratio.
 *
 * @see Docs https://vue.chakra-ui.com/docs/layout/aspect-ratio
 */
export declare const CAspectRatio: DefineComponent<{
    ratio: {
        type: PropType<ResponsiveValue<number> | undefined>;
        default: number;
    };
}, () => import("@vue/runtime-core").VNode<import("@vue/runtime-core").RendererNode, import("@vue/runtime-core").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("@vue/runtime-core").ComponentOptionsMixin, import("@vue/runtime-core").ComponentOptionsMixin, Record<string, any>, string, import("@vue/runtime-core").VNodeProps & import("@vue/runtime-core").AllowedComponentProps & import("@vue/runtime-core").ComponentCustomProps, Readonly<{
    ratio: ResponsiveValue<number> | undefined;
} & {}>, {
    ratio: ResponsiveValue<number> | undefined;
}>;
export {};
