import { PropType } from 'vue';
import { ThemingProps, HTMLChakraProps } from '@chakra-ui/vue-system';
export interface DividerProps extends HTMLChakraProps<'div'>, ThemingProps<'Container'> {
    orientation?: 'horizontal' | 'vertical';
}
/**
 * Layout component used to visually separate content in a list or group.
 * It display a thin horizontal or vertical line, and renders a `hr` tag.
 *
 * @see Docs https://vue.chakra-ui.com/docs/data-display/divider
 */
export declare const CDivider: import("vue").DefineComponent<{
    colorScheme: PropType<(string & {}) | "blue" | "cyan" | "gray" | "green" | "orange" | "pink" | "purple" | "red" | "teal" | "yellow" | "whiteAlpha" | "blackAlpha" | "linkedin" | "facebook" | "messenger" | "whatsapp" | "twitter" | "telegram" | undefined>;
    variant: PropType<string | undefined>;
    size: PropType<string | undefined>; /**
     * Layout component used to visually separate content in a list or group.
     * It display a thin horizontal or vertical line, and renders a `hr` tag.
     *
     * @see Docs https://vue.chakra-ui.com/docs/data-display/divider
     */
    styleConfig: PropType<import("@chakra-ui/utils").Dict<any> | undefined>;
    orientation: {
        type: PropType<"horizontal" | "vertical" | undefined>;
        default: string;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    orientation: "horizontal" | "vertical" | undefined;
} & {
    colorScheme?: (string & {}) | "blue" | "cyan" | "gray" | "green" | "orange" | "pink" | "purple" | "red" | "teal" | "yellow" | "whiteAlpha" | "blackAlpha" | "linkedin" | "facebook" | "messenger" | "whatsapp" | "twitter" | "telegram" | undefined;
    variant?: string | undefined;
    size?: string | undefined;
    styleConfig?: import("@chakra-ui/utils").Dict<any> | undefined;
}>, {
    orientation: "horizontal" | "vertical" | undefined;
}>;
